### Method

# EBackend ServerSideSource get_write_directory

since: 3.6

#### Declaration [src]

    const gchar*
    e_server_side_source_get_write_directory (
      EServerSideSource* source
    )

#### Description [src]

Returns the local directory path where changes to `source` are written.

By default, changes are written to the local directory path returned by e_server_side_source_get_user_dir(), but an `ECollectionBackend` may wish to override this to use its own private cache directory for data sources it creates automatically.

Available since: 3.6

Gets property | `EBackend.ServerSideSource:write-directory`

#### Return value

Type: `const gchar*`

The directory where changes are written.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.